VelocityReport Plugin - Feature #568

Adding pluggable services to Velocity
10/29/2012 11:18 PM - Patrick Talbot

Status: Closed Start date: 10/29/2012
Priority: Normal Due date:

Assignee: Patrick Talbot % Done: 100%
Category: velocity Estimated time: 0.00 hour
Target version: v3.0

Browser (if web

client):

Description

Services would be server side, running in the same server instance or another server.

Example of services would be:

- Doc conversion service (using OpenOffice on a server)
- Lucene/Solr indexing service

- Rules service (using Drools/Drools-Planner)

- OAuth authentication service

- JavaFX service for alternate charts

- efc.

Since some required dependencies would be needed this applies server-side only but the Velocity servlet could leverage these
external services during HTTP requests.

History

#1 - 10/29/2012 11:19 PM - Patrick Talbot

- Description updated

#2 - 10/29/2012 11:20 PM - Patrick Talbot

- Java version changed from 6+ to 6/7

#3 - 11/20/2012 05:39 AM - Patrick Talbot
- % Done changed from 0 to 50

#4 - 11/29/2012 02:26 PM - Patrick Talbot
- % Done changed from 50 to 80

#5 - 12/10/2012 02:23 AM - Patrick Talbot
- % Done changed from 80 to 100

#6 - 03/28/2013 02:51 PM - Patrick Talbot

- Status changed from New to Closed
